Summary: Baekmuk Bitmap Fonts
Name: baekmuk
Version: 2.0
Release: 11k
Copyright: BSD style license
Group: Desktops/Baekmuk

Source0: %{name}-%{version}.tar.gz
Source1: %{name}-ttf-%{version}.tar.gz
Source2: %{name}-doc.tar.gz
Source11: gulim24.bdf.gz
Source12: batang14.bdf.gz
Source13: http://chem.skku.ac.kr/~wkpark/linux/archive/gulim10.pcf.gz 
Source14: http://chem.skku.ac.kr/~wkpark/linux/archive/gulim10b.pcf.gz
Source15: http://zinc.skku.ac.kr/~wkpark/baekmuk/gulim12.pcf.gz

Prereq: /usr/bin/killall
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description
Baekmuk Fonts

%package ttf
Summary: Baekmuk TrueType Fonts
Group: %{group}

%description ttf
Baekmuk Truetype Fonts by Font21 Inc. Copyrighted to Red Hat Inc.

%prep
%setup -T -c -a 0
cp $RPM_SOURCE_DIR/gulim24.bdf.gz $RPM_BUILD_DIR/%{name}-%{version}/
cp $RPM_SOURCE_DIR/batang14.bdf.gz $RPM_BUILD_DIR/%{name}-%{version}/

#rm $RPM_BUILD_DIR/%{name}-%{version}/gulim10.bdf
#cp %{SOURCE13} $RPM_BUILD_DIR/%{name}-%{version}/gulim10.bdf.gz
#gzip -d $RPM_BUILD_DIR/%{name}-%{version}/gulim10.bdf.gz

%build
for file in `ls *.bdf`; do
  fontname=`basename $file .bdf`
  bdftopcf -o "$fontname.pcf" $file
  gzip "$fontname.pcf"
done 

cp %{SOURCE13} $RPM_BUILD_DIR/%{name}-%{version}/
cp %{SOURCE14} $RPM_BUILD_DIR/%{name}-%{version}/
cp %{SOURCE15} $RPM_BUILD_DIR/%{name}-%{version}/

mkfontdir

# ttindex is provided by VFlib package; the index files it produces can
# then be used by a ghostscript with VFlib support
# ttindex batang
# ttindex dotum
# ttindex gulim
# ttindex hline

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/%{name}
install -m444 *.pcf.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/%{name}
install -m444 fonts.dir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/%{name}
install -m444 fonts.alias $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/%{name}

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/TrueType
cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/TrueType
tar xvzf $RPM_SOURCE_DIR/%{name}-ttf-%{version}.tar.gz

mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}
cd $RPM_BUILD_ROOT/%{_docdir}/%{name}
tar xvzf $RPM_SOURCE_DIR/%{name}-doc.tar.gz

%post
if [ -x /usr/sbin/chkfontpath ]; then
  /usr/sbin/chkfontpath -qfa /usr/X11R6/lib/X11/fonts/%{name}:unscaled
  killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
fi 
if [ -n "$DISPLAY" ]; then
   xset fp rehash
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
  if [ -x /usr/sbin/chkfontpath ]; then
    /usr/sbin/chkfontpath -qr /usr/X11R6/lib/X11/fonts/%{name}:unscaled
    killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
  fi
fi
if [ -n "$DISPLAY" ]; then
   xset fp rehash
fi

%post ttf
#if [ -x /usr/sbin/chkfontpath ]; then
#  /usr/sbin/chkfontpath -qa /usr/share/fonts/%{name}
#  killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
#fi
if [ -n "$DISPLAY" ]; then
   xset fp rehash
fi

touch /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale
touch /usr/X11R6/lib/X11/fonts/TrueType/fonts.dir

%postun ttf
# 0 means a real uninstall
#if [ "$1" = "0" ]; then
#  if [ -x /usr/sbin/chkfontpath ]; then
#    /usr/sbin/chkfontpath -qr /usr/share/fonts/%{name}
#    killall -USR1 xfs || killall -USR1 xtt || killall -USR1 xfsft
#  fi
#fi
if [ -n "$DISPLAY" ]; then
   xset fp rehash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(0444,root,root) /usr/X11R6/lib/X11/fonts/%{name}/*
%doc %attr(444,root,root) %{_docdir}/%{name}/*

%files ttf
%defattr(-,root,root,0444)
%dir /usr/X11R6/lib/X11/fonts/TrueType
/usr/X11R6/lib/X11/fonts/TrueType/*.ttf
%config /usr/X11R6/lib/X11/fonts/TrueType/fonts.dir
%config /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale

%changelog
* Fri Jul 20 2001 Leon Ho <llch@redhat.com>
- changed to a standardize directory for ttf fonts

* Wed Jun  8 2001 David Joo <djoo@redhat.com>
- rebuilded against Red Hat 7.1k

* Sat Feb 17 2001 KIM KyungHeon <tody@mizi.com>
- changed doc directory
- removed ineffective macros
- rebuilded for MiziLinux 2.0
- changed rpm group

* Mon Nov 13 2000 Louis JANG <louis@mizi.com>
- add wkpark's gulim12.pcf.gz. Thanks Won-Kyu Park. 

* Thu Mar 02 2000 Woohyun JANG <louis@mizi.co.kr>
- remove chkfontpath dependency

* Mon Jan 24 2000 Seo, Young-Jin <yjseo@mizi.co.kr>
- font server is restarted at post and unpost.

* Tue Jan 18 2000 Woohyun JANG <louis@mizi.co.kr>
- add gulim24.bdf, batang14.bdf 
  gulim24.bdf was done mostly by Youngsoo KANG.
  batang14.bdf was partly done by Sungmin Yoon

* Fri Jan 07 2000 Seo, Young-Jin <yjseo@mizi.co.kr>
- Now Beakmuk truetype contains all moderm Hangul
  Thanks Korean Linux Associationa ans Hwan Desing Inc. 
- gulim16 is modified.
  Thanks Sung-Hyun Nam <namsh@lgic.co.kr>
- Wooderart Inc. is renamed to Hwan Desing Inc.

* Wed Aug  4 1999 Seo, Young-Jin <yjseo@mizi.co.kr>
- ttf font name fields are corrected.
- Thanks Cha, Jae-Choon <jccha@knot.kaist.ac.kr>

* Wed Aug  3 1999 Woohyun JANG <louis@mizi.co.kr>
- add attr() in files section

* Mon Jul 26 1999 Woohyun JANG <louis@mizi.co.kr>
- add :unscaled. thanks to Kim Hyunchul <mindgame@plp.postech.ac.kr>

* Sat Jul 24 1999 Seo, Young-Jin <yjseo@mizi.co.kr>
- unscaled is removed from fontpath in post and postun script

* Thu Jul 22 1999 Woohyun JANG <louis@mizi.co.kr>
- bug fix in fonts.dir(in baekmuk-ttf)

* Wed Jun 23 1999 Woohyun JANG <louis@mizi.co.kr>
- initial release
